ru.bitel.oss.kernel.directories.address.server.bean

## Class CountryDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<Country>
    - - ru.bitel.oss.kernel.directories.address.server.bean.CountryDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, ru.bitel.bgbilling.kernel.directory.api.common.Directory<Country>

      public class CountryDao
      extends ru.bitel.common.dao.AbstractIdDao<Country>
      implements ru.bitel.bgbilling.kernel.directory.api.common.Directory<Country>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountryDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Country` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected Country` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<Country>` | `list()` Получение всего списка элементов из справочника
    `java.util.List<Country>` | `list(java.lang.String title)`
    `protected void` | `updateImpl(Country b)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### CountryDao

          public CountryDao(java.sql.Connection con)

  - ### Method Detail

    - #### getFromRS

          protected Country getFromRS(java.sql.ResultSet rs)
                               throws java.sql.SQLException,
                                      ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Country>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Country b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Country>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### list

          public java.util.List<Country> list()
                                       throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<Country>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<Country> list(java.lang.String title)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public Country get(java.lang.String title)
                      throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `ru.bitel.bgbilling.kernel.directory.api.common.Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `ru.bitel.bgbilling.kernel.directory.api.common.Directory<Country>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`